VVGETI(3NCARG)

NAME
VVGETI - Gets the current value of a Vectors parameter of type INTEGER.

SYNOPSIS
CALL VVGETI (CNM,IVL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_vvgeti(char *cnm, int *ivl)

DESCRIPTION

CNM (CHARACTER, input) is the name of a parameter whose integer value is to be retrieved. Only the first three characters of CNM are examined. The three characters may either be entirely upper or entirely lower case; mixed case is not recognized. It is recommended that the rest of the character string be used to improve the readability of the code. For example, instead of just 'PLR', use 'PLR - Polar Input Mode'.

IVL (INTEGER, output) is a variable in which the value of the parameter specified by CNM is to be returned.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Vectors parameters of type INTEGER. For a complete list of parameters available in this utility, see the vectors_params man page.

ACCESS
To use VVGETI or c_vvgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the vectors man page for a description of all Vectors error messages and/or informational messages.

SEE ALSO
Online: vectors, vectors_params, vvectr, vvgetc, vvgetr, vvinit, vvrset, vvsetc, vvseti, vvsetr, vvudmv, vvumxy, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.